////////////////////////////////////////////////////////////////////
//                                             
//			Hypnosis (www.hypnosismedia.com)
//  Art work:		Dave Wild
//  Programming:	Rob Curle
//  Date: 		Oct 2000
//  Notes:		
//
/////////////////////////////////////////////////////////////////////


var bDoorsOpen = false;
var bLeftEarOpen = false;
var bRightEarOpen = false;


function init() {

	if (theme.loadPreference('DoorsOpen') == 'True') {
		moveDoors();
	}
	if (theme.loadPreference('LeftOpen') == 'True') {
		moveLeftEar();
	}
	if (theme.loadPreference('RightOpen') == 'True') {
		moveRightEar();
	}
	if (theme.loadPreference('Repeat') == 'True') {
		player.settings.setMode('loop',down);		
	}
	if (theme.loadPreference('Shuffle') == 'True') {
		player.settings.setMode('shuffle',down);
	}
	effects.currentEffectType = mediacenter.effectType;
	effects.currentPreset = mediacenter.effectPreset;  
	
	enableLeftControls();
	enableMidControls()
	enableRightControls();

	playStateChange();
}

function savePreferences() {
	theme.savePreference('DoorsOpen', bDoorsOpen);
   	theme.savePreference('LeftOpen', bLeftEarOpen); 
        theme.savePreference('RightOpen', bRightEarOpen);
	theme.savePreference('Repeat', player.settings.getMode('loop'));
	theme.savePreference('Shuffle', player.settings.getMode('shuffle'));
	mediacenter.effectType = effects.currentEffectType;
	mediacenter.effectPreset = effects.currentPreset;
}


function moveDoors() {
        if (bDoorsOpen) {
		if (bLeftEarOpen) {
			left_ear.left = 20;
		} 
		else {
			left_ear.left = 190;
		}

		if (bRightEarOpen) {
			right_ear.left = 415;
		} 
		else {
			right_ear.left = 211;
		}
		left_door.left = 224;
		right_door.left = 319;

		operateDoorsL.downToolTip = "Open Control Panel";
		operateDoorsR.downToolTip = "Open Control Panel";
		operateDoorsL.down = false;
		operateDoorsR.down = false;

		bDoorsOpen = false;
        } 
	else {
		if (bLeftEarOpen) {
			left_ear.left = 0;
		} 
		else {
			left_ear.left = 170;
		}

		if (bRightEarOpen) {
			right_ear.left = 435;
		} 
		else {
			right_ear.left = 231;
		}
		left_door.left = 204;
		right_door.left = 339;

                operateDoorsL.downToolTip = "Close Control Panel";
		operateDoorsR.downToolTip = "Close Control Panel";
		operateDoorsL.down = true;
		operateDoorsR.down = true;

		bDoorsOpen = true;	
        }
	enableMidControls();	
}

function enableMidControls() {	// couldn't seem to disable groups of control... say a complete subview

	// Control panel //
	open.enabled = bDoorsOpen;
	hypnosis.enabled = bDoorsOpen;
	play.enabled = bDoorsOpen;
	pause.enabled = bDoorsOpen;
	stop.enabled = bDoorsOpen;
	RW.enabled = bDoorsOpen;
	next.enabled = bDoorsOpen;
	prev.enabled = bDoorsOpen;
	vis.enabled = bDoorsOpen;
	PL.enabled = bDoorsOpen;
}

function enableLeftControls() {

	// Left ear controls //
	eq1.enabled = bLeftEarOpen;
	eq2.enabled = bLeftEarOpen;
	eq3.enabled = bLeftEarOpen;
	eq4.enabled = bLeftEarOpen;
	eq5.enabled = bLeftEarOpen;
	eq6.enabled = bLeftEarOpen;
	eq7.enabled = bLeftEarOpen;
	eq8.enabled = bLeftEarOpen;
	eq9.enabled = bLeftEarOpen;
	eq10.enabled = bLeftEarOpen;
	eq_close.enabled = bLeftEarOpen;	
	preset_prev.enabled = bLeftEarOpen;
	eq_curpreset.enabled = bLeftEarOpen;
	preset_next.enabled = bLeftEarOpen;
	eq_reset.enabled = bLeftEarOpen;
	playlist.enabled = bLeftEarOpen;
}

function enableRightControls() {

	// Right ear controls //
	visavid.enabled = bRightEarOpen;
	close_screen.enabled = bRightEarOpen;
	repeat.enabled = bRightEarOpen;
	shuffle.enabled = bRightEarOpen;
	playback_slider.enabled = bRightEarOpen;

	if (player.settings.getMode('loop')) {
		repeat.down = true;
	}
	if (player.settings.getMode('shuffle')) {
		shuffle.down = true;		
	}
}

function eyesOver() {
	if (!bDoorsOpen) {
		operateDoorsL.down=true;
		operateDoorsR.down=true;
	}
}


function eyesOut() {
	if (!bDoorsOpen) {
		operateDoorsL.down=false;
		operateDoorsR.down=false;
	}
}


function moveLeftEar() { 
	if (bDoorsOpen) {
		if (bLeftEarOpen) {	//close
			left_ear.moveTo(170,0,500);
			bLeftEarOpen = false;
			showPlaylist();
			PL.upTooltip="Open Playlist / Equalizer"
		}
		else {
			left_ear.moveTo(0,0,500);
			bLeftEarOpen = true;
			PL.upTooltip="Close Playlist / Equalizer"
		}
        }
	else {				// open
		if (bLeftEarOpen) {
			left_ear.moveTo(190,0,500);
			bLeftEarOpen = false;
			showPlaylist();
			PL.upTooltip="Open Playlist / Equalizer"
		}
		else {
			left_ear.moveTo(20,0,500);
			bLeftEarOpen = true;
			PL.upTooltip="Close Playlist / Equalizer"
		}
	}
	enableLeftControls();	
}


function moveRightEar() {   
	if (bDoorsOpen) { 
		if (bRightEarOpen) {
			visavid.visible=video.visible=effects.visible=false;
			right_ear.moveTo(231,0,500);
			vis.upTooltip="Open Visualization / Video"
		}
		else {
			right_ear.moveTo(435,0,500);
			vis.upTooltip="Close Visualization / Video"
		}
	}
	else  { 
		if (bRightEarOpen) {
			visavid.visible=video.visible=effects.visible=false;
			right_ear.moveTo(211,0,500);
			vis.upTooltip="Open Visualization / Video"
		}
		else {
			right_ear.moveTo(415,0,500);
			vis.upTooltip="Close Visualization / Video"
		}
	}
}


function openStateChange() {

	if((player.OpenState == osMediaOpen) && bRightEarOpen)
	{
		video.visible = (player.currentMedia.ImageSourceWidth>0);
		effects.visible = !video.visible;
	}
}

function playStateChange() {	

	if ((player.playState==3)||(player.playState==6)||(player.playState==7)||(player.playState==9)) {  // playing, buffering, waiting, connecting
		if ((player.currentMedia.ImageSourceWidth>0) && !bRightEarOpen) {
			moveRightEar();
		}
	}

	// Display status //
	if (player.playState==3) {	//playing
		media_name.value = player.currentMedia.name;
		media_name.scrolling = true;
	}
	else {
		media_name.value = player.status;
		media_name.scrolling = false;
	}	
}

function setRightEarState() {
	
	if ((right_ear.left == 435) || (right_ear.left == 415)) {
		bRightEarOpen = true;
		showVisuals();
	}
	else {
		bRightEarOpen = false;
	}

	enableRightControls();	
}


function showVideo() {

	if (!bDoorsOpen) {
		moveDoors();
	}
	if (!bRightEarOpen) {
		visavid.visible=video.visible=effects.visible=false;
		moveRightEar();
	}
	else {
		visavid.visible = true;
		video.visible = (player.currentMedia.ImageSourceWidth>0);
		effects.visible = !video.visible;	
	}
}


function showVisuals() {	// no movement
	if (bRightEarOpen) {
		visavid.visible = true;
		video.visible = (player.currentMedia.ImageSourceWidth>0);
		effects.visible = !video.visible;
	}
	else {
		visavid.visible = video.visible = effects.visible = false;
	}
}


function showPlaylist() {
        if (bLeftEarOpen) {
                pl_view.visible = true;
	}
	else {
		pl_view.visible = false;
	}	
}

